Not able to upgrade ubuntu version 15.10 to 16.04

I am using ubuntu version 15.10

No LSB modules are available. Distributor ID: Ubuntu Description:    Ubuntu 15.10 Release:    15.10 Codename:   wily 

Here is my /etc/apt/sources.list

cat /etc/apt/sources.list # deb cdrom:[Ubuntu 15.04 _Vivid Vervet_ - Release amd64 (20150422)]/ vivid main restricted  # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to # newer versions of the distribution. # deb http://old-releases.ubuntu.com/ubuntu/ vivid main restricted deb-src http://old-releases.ubuntu.com/ubuntu/ vivid main restricted  ## Major bug fix updates produced after the final release of the ## distribution. # deb http://old-releases.ubuntu.com/ubuntu/ vivid-updates main restricted deb-src http://old-releases.ubuntu.com/ubuntu/ vivid-updates main restricted  ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu ## team. Also, please note that software in universe WILL NOT receive any ## review or updates from the Ubuntu security team. # deb http://old-releases.ubuntu.com/ubuntu/ vivid universe deb-src http://old-releases.ubuntu.com/ubuntu/ vivid universe # deb http://old-releases.ubuntu.com/ubuntu/ vivid-updates universe deb-src http://old-releases.ubuntu.com/ubuntu/ vivid-updates universe  ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu  ## team, and may not be under a free licence. Please satisfy yourself as to  ## your rights to use the software. Also, please note that software in  ## multiverse WILL NOT receive any review or updates from the Ubuntu ## security team. # deb http://old-releases.ubuntu.com/ubuntu/ vivid multiverse deb-src http://old-releases.ubuntu.com/ubuntu/ vivid multiverse # deb http://old-releases.ubuntu.com/ubuntu/ vivid-updates multiverse deb-src http://old-releases.ubuntu.com/ubuntu/ vivid-updates multiverse  ## N.B. software from this repository may not have been tested as ## extensively as that contained in the main release, although it includes ## newer versions of some applications which may provide useful features. ## Also, please note that software in backports WILL NOT receive any review ## or updates from the Ubuntu security team. # deb http://old-releases.ubuntu.com/ubuntu vivid-backports main restricted universe multiverse deb-src http://old-releases.ubuntu.com/ubuntu vivid-backports main restricted universe multiverse  # deb http://old-releases.ubuntu.com/ubuntu vivid-security main restricted deb-src http://old-releases.ubuntu.com/ubuntu vivid-security main restricted # deb http://old-releases.ubuntu.com/ubuntu vivid-security universe deb-src http://old-releases.ubuntu.com/ubuntu vivid-security universe # deb http://old-releases.ubuntu.com/ubuntu vivid-security multiverse deb-src http://old-releases.ubuntu.com/ubuntu vivid-security multiverse  ## Uncomment the following two lines to add software from Canonical's ## 'partner' repository. ## This software is not part of Ubuntu, but is offered by Canonical and the ## respective vendors as a service to Ubuntu users. # deb http://archive.canonical.com/ubuntu vivid partner deb-src http://old-releases.ubuntu.com/ubuntu/ vivid partner deb http://old-releases.ubuntu.com/ubuntu/ xenial main deb http://old-releases.ubuntu.com/ubuntu/ vivid main # auto generated by ubuntu-release-upgrader deb http://old-releases.ubuntu.com/ubuntu/ stable main # auto generated by ubuntu-release-upgrader 

and whenever I am trying to update it gives me below output,

sudo apt-get update Ign http://dl.google.com stable InRelease Hit http://ppa.launchpad.net wily InRelease                                     Hit http://dl.google.com stable Release.gpg                                                                              Hit http://old-releases.ubuntu.com vivid InRelease                                                                       Hit http://old-releases.ubuntu.com vivid-updates InRelease                                          Hit http://dl.google.com stable Release                               Hit http://ppa.launchpad.net wily InRelease                           Hit http://old-releases.ubuntu.com vivid-backports InRelease                                        Hit http://old-releases.ubuntu.com vivid-security InRelease                                                               Hit http://ppa.launchpad.net wily/main amd64 Packages                                          Ign http://old-releases.ubuntu.com xenial InRelease                                              Ign http://old-releases.ubuntu.com stable InRelease                                              Hit http://ppa.launchpad.net wily/main i386 Packages                       Hit http://dl.google.com stable/main amd64 Packages Hit http://ppa.launchpad.net wily/main Translation-en                                                           Ign http://dl.google.com stable/main Translation-en_IN                                                                Ign http://dl.google.com stable/main Translation-en                        Hit http://ppa.launchpad.net wily/main amd64 Packages                      Hit http://old-releases.ubuntu.com vivid-backports/restricted Sources Hit http://ppa.launchpad.net wily/main i386 Packages                                       Hit http://old-releases.ubuntu.com vivid-backports/multiverse Sources                      Hit http://ppa.launchpad.net wily/main Translation-en                       Ign http://old-releases.ubuntu.com xenial Release.gpg Ign http://old-releases.ubuntu.com stable Release.gpg Hit http://old-releases.ubuntu.com vivid/main Sources Hit http://old-releases.ubuntu.com vivid/restricted Sources Hit http://old-releases.ubuntu.com vivid/universe Sources Hit http://old-releases.ubuntu.com vivid/multiverse Sources Hit http://old-releases.ubuntu.com vivid-updates/main Sources Hit http://old-releases.ubuntu.com vivid-updates/restricted Sources Hit http://old-releases.ubuntu.com vivid-updates/universe Sources                                                                              Hit http://old-releases.ubuntu.com vivid-updates/multiverse Sources                                                                            Hit http://old-releases.ubuntu.com vivid-backports/main Sources                                                                                Hit http://old-releases.ubuntu.com vivid-backports/universe Sources                                                                            Hit http://old-releases.ubuntu.com vivid-security/main Sources                                                                                 Hit http://old-releases.ubuntu.com vivid-security/restricted Sources                                                                           Hit http://old-releases.ubuntu.com vivid-security/universe Sources                                                                             Hit http://old-releases.ubuntu.com vivid-security/multiverse Sources                                                                           Ign http://old-releases.ubuntu.com xenial Release                                                                                              Ign http://old-releases.ubuntu.com stable Release                                                                                              Err http://old-releases.ubuntu.com xenial/main amd64 Packages                                                                                    404  Not Found [IP: 91.189.88.41 80] Err http://old-releases.ubuntu.com xenial/main i386 Packages                                                                                     404  Not Found [IP: 91.189.88.41 80] Ign http://old-releases.ubuntu.com xenial/main Translation-en_IN                                                                               Ign http://old-releases.ubuntu.com xenial/main Translation-en                                                                                  Err http://old-releases.ubuntu.com stable/main amd64 Packages                                                                                    404  Not Found [IP: 91.189.88.41 80] Err http://old-releases.ubuntu.com stable/main i386 Packages                                                                                     404  Not Found [IP: 91.189.88.41 80] Ign http://old-releases.ubuntu.com stable/main Translation-en_IN                                                                               Ign http://old-releases.ubuntu.com stable/main Translation-en                                                                                  W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/vivid/InRelease  Unable to find expected entry 'partner/source/Sources' in Release file (Wrong sources.list entry or malformed file)  W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/xenial/main/binary-amd64/Packages  404  Not Found [IP: 91.189.88.41 80]  W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/xenial/main/binary-i386/Packages  404  Not Found [IP: 91.189.88.41 80]  W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/stable/main/binary-amd64/Packages  404  Not Found [IP: 91.189.88.41 80]  W: Failed to fetch http://old-releases.ubuntu.com/ubuntu/dists/stable/main/binary-i386/Packages  404  Not Found [IP: 91.189.88.41 80]  E: Some index files failed to download. They have been ignored, or old ones used instead. 

I followed all of the links to change the etc/apt/sources.list http://old-releases.ubuntu.com/ubuntu from archive.ubuntu.com/ubuntu but nothing helps me

15.04 to 15.10 done, now how do I get the Old Release back to current in order to do 16.04?

sudo sed -i -re ‘s/([a-z]{2}.)?archive.ubuntu.com|security.ubuntu.com/old-releases.ubuntu.com/g’ /etc/apt/sources.list

Ok, so I did this and was able to update from 15.04 to 15.10. All worked fine, and most important I can get Libre on my Laptop now. I can also see that it changed the Software and Update Software, Other Software, to Old Releases as the Source.

Just want to make sure I do it correctly. What is the sudo sed command to change it back to current releases so one can update to 16.04, or what is the Gui Software and Update Software way of doing this? One of my problems is there is no Pipe on my Laptop Keyboard, so I have to copy and paste the commands into the terminal.

Accidentally overwrote all of Windows 10 when installing Ubuntu 15.10. How do I recover the files?

I was going to try Ubuntu on an external USB drive without installing it, which worked using the *try Ubuntu* option. Then, after trying Ubuntu for a while, I thought I would install Ubuntu on the thumb drive.

The problem is that I thought it would install on the thumb drive, but it installed on the main drive C:, which was currently in use by Windows 10 and everything on the computer.

So now I was wondering: How can I recover the files? And will Windows be the full version, or will I get this Install Windows watermark?